Subject: Re: [PATCH iproute2 net-next] ip neigh: allow flush FAILED neighbour entry

From: Stephen Hemminger <[email-masked]>
Date: Wed, 14 Jun 2017 09:54:50 -0700

On Mon,  5 Jun 2017 16:31:29 +0800
Hangbin Liu <[email-masked]> wrote:

> After upstream commit 5071034e4af7 ('neigh: Really delete an arp/neigh entry
> on "ip neigh delete" or "arp -d"'), we could delete a single FAILED neighbour
> entry now. But `ip neigh flush` still skip the FAILED entry.
> 
> Let's remove this filter so we can also flush FAILED entry.
> 
> Signed-off-by: Hangbin Liu <[email-masked]>

This might create a problem. iproute2 has to be forward/backwards compatiable
with multiple kernel versions. Users must be able to run newer versions of ip
command on older kernels.

What happens if you run the ip command with your patch on older kernels?